Bug 1418558 - [Docs][RFE][Ironic] Document Ceph RADOS gateway support
Summary: [Docs][RFE][Ironic] Document Ceph RADOS gateway support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Sandra McCann
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On: 1337765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 05:05 UTC by Lucy Bopf
Modified: 2017-03-24 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 15:37:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-02-02 05:05:42 UTC
RHOSP 9 adds support for configuring the Bare Metal Provisioning service (ironic) and the Image service (glance) with a RADOS gateway.

Ceph can be used to provide an object store and a RADOS Gateway Swift API that is compatible with the OpenStack Swift API.

Steps for configuring the Bare Metal Provisioning service and the Image service to use the Ceph RADOS back end must be added.

See http://docs.openstack.org/developer/ironic/deploy/radosgw.html?highlight=rados for an upstream example.

Comment 1 Lucy Bopf 2017-02-21 01:22:38 UTC
Assigning to Sandra for review.


Note You need to log in before you can comment on or make changes to this bug.